Bug 18411 - /etc/dhcpcd directory unnecessary - bad file link
Summary: /etc/dhcpcd directory unnecessary - bad file link
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-05 16:19 UTC by Matt Domsch
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-13 20:46:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Domsch 2000-10-05 16:19:09 UTC
dhcpcd uses a directory /etc/dhcpc.  This is correct.
However, the dhcpcd RPM also creates the directory /etc/dhcpcd, with a
single file ( a symoblic link dhcpc -> dhcpc) which is both broken and
useless.  Maybe they meant:
ln -s ../dhcpc dhcpc

In any case, is there any reason to keep the /etc/dhcpcd directory, given
that all files used are put in /etc/dhcpc?

Comment 1 Matt Domsch 2001-02-13 18:46:02 UTC
This is still broken in Fisher (Florence Beta 3).


Comment 2 Matt Domsch 2001-03-13 20:46:52 UTC
This is fixed in qa0309 at least.
/etc/dhcpcd -> /etc/dhdpc



Note You need to log in before you can comment on or make changes to this bug.